#include <iostream>
#include <vector>
#include "graph.h"
using namespace std;

Graph		g;
NodeAttribute< int >	node2id(1);
vector<Node>	id2node;

void printEdges(void)
{
	Edge e;
	cout << "Edges:" << endl;
	for (e=g.FirstEdge(); e; e=e.NextEdge())
		cout << "(" << node2id[e.SourceNode()] << "," << node2id[e.TargetNode()] << ")" << endl;
}

int main()
{
	int		i;
	Node n;

	for (i=0; i<12; ++i)
	{
		n = g.CreateNode();
		id2node.push_back(n);
		node2id[n] = i;
	}

	Edge e;
	e = g.CreateEdge(id2node[4], id2node[0]);
	e = g.CreateEdge(id2node[4], id2node[1]);
	e = g.CreateEdge(id2node[5], id2node[0]);
	e = g.CreateEdge(id2node[5], id2node[1]);
	e = g.CreateEdge(id2node[6], id2node[1]);
	e = g.CreateEdge(id2node[6], id2node[2]);
	e = g.CreateEdge(id2node[7], id2node[1]);
	printEdges();

	return 0;
}
