#include <iostream>
#include "graph.h"
using namespace std;

Graph	g;
NodeAttribute<int> id;	


int main()
{
	const int NumberOfNodes = 5;
	Node nodes[ NumberOfNodes ];
	int i;

	for ( i=0; i<NumberOfNodes; i++)
	{
		nodes[i] = g.CreateNode();
		id[ nodes[i] ] = i;
	}

	NodePath path;

	cout << "Test Add:" << endl;

	path.Print( "path =", id );

	path.AddLast( nodes[1] );
	path.AddLast( nodes[3] );
 	path.Print( "path =", id );

	path.AddLast( nodes[0] );
	path.AddLast( nodes[2] );
	path.AddLast( nodes[4] );
	path.Print( "path =", id );

	cout << "Test Last():" << endl;
	path.AddLast( path.Last() );
	path.Print( "path =", id );

	cout << "Test Del:" << endl;
	path.DelLast( );
	path.DelLast( );
	path.Print( "path =", id );

	path.DelLast( );
	path.DelLast( );
	path.DelLast( );
	path.DelLast( );
	path.DelLast( );
	path.Print( "path =", id );

	return 0;
}

